# Uses of Class
org.apache.felix.http.base.internal.runtime.PreprocessorInfo

Packages that use PreprocessorInfo
Package
Description
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.runtime.dto

## Uses of PreprocessorInfo in org.apache.felix.http.base.internal.handler

Methods in org.apache.felix.http.base.internal.handler that return PreprocessorInfo
Modifier and Type
Method
Description
`PreprocessorInfo`
PreprocessorHandler.`getPreprocessorInfo()`
Constructors in org.apache.felix.http.base.internal.handler with parameters of type PreprocessorInfo
Modifier
Constructor
Description
``
`PreprocessorHandler(org.osgi.framework.BundleContext bundleContext, jakarta.servlet.ServletContext context, PreprocessorInfo info)`

## Uses of PreprocessorInfo in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type PreprocessorInfo
Modifier and Type
Method
Description
`static @NotNull org.osgi.service.servlet.runtime.dto.PreprocessorDTO`
PreprocessorDTOBuilder.`build(@NotNull PreprocessorInfo info, int reason)`
Build a preprocessor DTO from a filter info